Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008479opensim[REGION] OpenSim Corepublic2019-02-12 20:222019-02-26 06:25
ReporterJeffKelley 
Assigned ToJeffKelley 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9.0.1 
Target VersionFixed in Version 
Summary0008479: UseTrashOnDelete has no effect
DescriptionDeleted object goes to the trash
Additional InformationSimulator 1 (Reg_1) # config show Startup UseTrashOnDelete
config get Startup UseTrashOnDelete : False
TagsNo tags attached.
Git Revision or version number52947b6
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono Version5.x
ViewerFirestorm 6 beta
Attached Filespatch file icon 0001-Restore-useTrashOnDelete-option.patch [^] (949 bytes) 2019-02-13 12:20 [Show Content]

- Relationships

-  Notes
(0034749)
JeffKelley (reporter)
2019-02-13 11:11

Exploring past branches shows that m_useTrashOnDelete is nowhere used since 0.9.

In 0.8.2-post-fixes :

OpenSim/Region/Framework/Scenes/Scene.Inventory.cs
  public virtual void DeRezObjects
    .....
    if (permissionToTake && (action != DeRezAction.Delete || this.m_useTrashOnDelete))

Now:
    if (permissionToTake)



m_useTrashOnDelete is still correctly read from preferences :
   m_useTrashOnDelete = startupConfig.GetBoolean("UseTrashOnDelete",m_useTrashOnDelete);
(0034752)
UbitUmarov (administrator)
2019-02-14 17:20

sorry your patch would break Take.
i just changed all that code:

<cia-opensim> mantis 8479: deep change DeRezObjects(..) doing independent permitions checks per action. m_useTrashOnDelete should now work except if god deletes, but still not recommended
( oops typos there )

also fixed permissions in case of return or god delete

some more testing of this actions (take takecopy delete return, etc ) is welcome :)
(0034759)
JeffKelley (reporter)
2019-02-14 18:15

Testing b242232, gridmode, 1 region/simulator, MONO 5.18, Bullet, Firestorm 6.0 beta.

UseTrashOnDelete = False

Objects are deleted from the simulator (not present in Area Search, show objects) but not from the viewer. Further clicking on the ghosted objects with the edit tool makes them disappear.

UseTrashOnDelete = True

Normal behaviour
(0034763)
UbitUmarov (administrator)
2019-02-14 18:28

oops
should work now...
(0034764)
JeffKelley (reporter)
2019-02-14 18:35

Testing 98b6ba2, gridmode, 1 region/simulator, MONO 5.18, Bullet, Firestorm 6.0 beta.

UseTrashOnDelete = False

No more ghosting. Seems ok.
(0034860)
JeffKelley (reporter)
2019-02-26 06:25

Marking this as resolved for now, please reopen if issue arises again.

- Issue History
Date Modified Username Field Change
2019-02-12 20:22 JeffKelley New Issue
2019-02-13 11:11 JeffKelley Note Added: 0034749
2019-02-13 12:20 JeffKelley Status new => patch included
2019-02-13 12:20 JeffKelley File Added: 0001-Restore-useTrashOnDelete-option.patch
2019-02-14 17:20 UbitUmarov Note Added: 0034752
2019-02-14 18:15 JeffKelley Note Added: 0034759
2019-02-14 18:28 UbitUmarov Note Added: 0034763
2019-02-14 18:35 JeffKelley Note Added: 0034764
2019-02-26 06:25 JeffKelley Note Added: 0034860
2019-02-26 06:25 JeffKelley Status patch included => resolved
2019-02-26 06:25 JeffKelley Resolution open => fixed
2019-02-26 06:25 JeffKelley Assigned To => JeffKelley


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker